### Function

# Ide SnippetStorage from_context

#### Declaration

    IdeSnippetStorage*
    ide_snippet_storage_from_context (
      IdeContext* context
    )

#### Description

Gets the snippet storage for the context.

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeSnippetStorage`
| An `IdeSnippetStorage`.
| The data is owned by the called function.